CREATE TABLE exm_rcpt_notif_rule_sets (
    RCPT_NOTIF_RULE_SET_ID            NUMBER(18, 0),
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)     NOT NULL,
    NAME                              VARCHAR2(240)    NOT NULL,
    DESCRIPTION                       VARCHAR2(960),
    RECEIPT_REQUIRED_CODE             VARCHAR2(120),
    IMG_RECEIPT_DUE_CODE              VARCHAR2(120),
    RECEIPT_DUE_DAYS                  NUMBER       ,
    OVERDUE_PROCESS_FLAG              VARCHAR2(4)  ,
    RECEIPT_OVERDUE_DAYS              NUMBER       ,
    NOTIF_FILER_OVERDUE_FLAG          VARCHAR2(4)  ,
    NEXT_OVERDUE_NOTIF_DAYS           NUMBER       ,
    OVERDUE_NOTIF_LIMIT               NUMBER       ,
    RCPT_RECEIVED_NOTIF_CODE          VARCHAR2(120),
    RECPT_MISSING_DECL_REQ_FLAG       VARCHAR2(4)  ,
    HOLD_PROCESS_FLAG                 VARCHAR2(4)  ,
    HOLD_CODE                         VARCHAR2(120),
    HOLD_REPORT_CODE                  VARCHAR2(120),
    EMP_PAYMENT_HOLD_CODE             VARCHAR2(120),
    CC_PAYMENT_HOLD_CODE              VARCHAR2(120),
    HOLD_PROJECT_ONLY_FLAG            VARCHAR2(4)  ,
    NEXT_SHORT_PAY_NOTIF_DAYS         NUMBER       ,
    SHORT_PAY_NOTIF_LIMIT             NUMBER       ,
    REQ_MORE_INFO_RESP_DAYS           NUMBER       ,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    DEFAULT_RCPT_CHECKIN_DATE_CODE    VARCHAR2(120),
    RCPT_NOTIF_RULE_SET_ID            NUMBER(18, 0),
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)     NOT NULL,
    NAME                              VARCHAR2(240)    NOT NULL,
    DESCRIPTION                       VARCHAR2(960),
    RECEIPT_REQUIRED_CODE             VARCHAR2(120),
    IMG_RECEIPT_DUE_CODE              VARCHAR2(120),
    RECEIPT_DUE_DAYS                  NUMBER       ,
    OVERDUE_PROCESS_FLAG              VARCHAR2(4)  ,
    RECEIPT_OVERDUE_DAYS              NUMBER       ,
    NOTIF_FILER_OVERDUE_FLAG          VARCHAR2(4)  ,
    NEXT_OVERDUE_NOTIF_DAYS           NUMBER       ,
    OVERDUE_NOTIF_LIMIT               NUMBER       ,
    RCPT_RECEIVED_NOTIF_CODE          VARCHAR2(120),
    RECPT_MISSING_DECL_REQ_FLAG       VARCHAR2(4)  ,
    HOLD_PROCESS_FLAG                 VARCHAR2(4)  ,
    HOLD_CODE                         VARCHAR2(120),
    HOLD_REPORT_CODE                  VARCHAR2(120),
    EMP_PAYMENT_HOLD_CODE             VARCHAR2(120),
    CC_PAYMENT_HOLD_CODE              VARCHAR2(120),
    HOLD_PROJECT_ONLY_FLAG            VARCHAR2(4)  ,
    NEXT_SHORT_PAY_NOTIF_DAYS         NUMBER       ,
    SHORT_PAY_NOTIF_LIMIT             NUMBER       ,
    REQ_MORE_INFO_RESP_DAYS           NUMBER       ,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    DEFAULT_RCPT_CHECKIN_DATE_CODE    VARCHAR2(120),
    CONSTRAINT pk_exm_rcpt_notif_rule_sets PRIMARY KEY (RCPT_NOTIF_RULE_SET_ID, RCPT_NOTIF_RULE_SET_ID)
);
